Bug 1655850 - Please update dos2unix
Summary: Please update dos2unix
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dos2unix
Version: 7.6
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Than Ngo
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 05:36 UTC by No Sir
Modified: 2019-12-19 13:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-19 13:49:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description No Sir 2018-12-04 05:36:47 UTC
Can Someone please update the dos2unix package to something that's at least from the last 4 years?

The current version which you ship, v6.0.3, was released 2013-01-25, and does not even support the --info option. Support for this in dos2unix was added in version 7.1 back in October of 2014.

Their Changelog:

2014-10-06: Version 7.1

  * New: Option -i, --info to print file information.
    This new option prints number of DOS, Unix, and Mac line breaks, the byte
    order mark, and if the file is text or binary. And it can print the names
    of files that would be converted.

As a sysadmin who often has to write scripts, I was very disappointed to find such an old version is still shipped.

The version you are shipping is so old, I cant even use the --info command line parameter, ridiculous.

Please update this package.

Comment 3 Than Ngo 2019-12-19 13:49:43 UTC
Red Hat Enterprise Linux version 7.8 entered the Maintenance Support 1 phase. In this phase only qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. Other errata advisories may be delivered as appropriate.

This bug has been reviewed by Support and Engineering representative and does not meet the inclusion criteria for Maintenance Support 1 phase. If this issue still exists in newer major version of Red Hat Enterprise Linux, it has been cloned there and work will continue in the cloned bug.

For more information about Red Hat Enterprise Linux Lifecycle, please see https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_1_Phase.


Note You need to log in before you can comment on or make changes to this bug.